PACK_CIS(8)

NAME
pack_cis - compile PCMCIA Card Information Structures

SYNOPSIS
pack_cis [-o outfile ] infile

DESCRIPTION
Pack_cis is used to convert a text description of a PCMCIA Card Information Structure (CIS) to its packed binary representation. It can parse a reasonably useful subset of the possible output of the dump_cis utility. The primary use of pack_cis is to construct replacement CIS files for cards that have incomplete, inaccurate, or damaged CIS structures. Thus, the supported tuple types are mostly limited to things that are important for correctly configuring typical IO cards.

By default, the packed data is written to standard output.

FORMAT
The best way to get started writing CIS descriptions will be to use dump_cis to extract the CIS data from a card, and to examine the CIS files distributed with the PCMCIA source tree in etc/cis/.

The basic structure of a CIS is a list of tuple descriptions. Anything following a hash mark (``#'') is treated as a comment. A multifunction CIS can be described with the notation:

    [common tuple list]
    mfc {
      [tuple list for function 0]
    }, {
      [tuple list for function 1]
    }

OPTIONS

-o outfile
    Write the packed tuple data to the specified file.

FILES
/etc/pcmcia/cis
    Standard location for packed CIS files

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
dump_cis(8), cardmgr(8), pcmcia(5).